<?php

namespace CustomerManagement\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for GetCustomerListInput StructType
 * @subpackage Structs
 */
class GetCustomerListInput extends AbstractStructBase
{
    /**
     * The IncludeTermed
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * - nillable: true
     * @var bool
     */
    public $IncludeTermed;
    /**
     * The AlternateId
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $AlternateId;
    /**
     * Constructor method for GetCustomerListInput
     * @uses GetCustomerListInput::setIncludeTermed()
     * @uses GetCustomerListInput::setAlternateId()
     * @param bool $includeTermed
     * @param string $alternateId
     */
    public function __construct($includeTermed = null, $alternateId = null)
    {
        $this
            ->setIncludeTermed($includeTermed)
            ->setAlternateId($alternateId);
    }
    /**
     * Get IncludeTermed value
     * @return bool
     */
    public function getIncludeTermed()
    {
        return $this->IncludeTermed;
    }
    /**
     * Set IncludeTermed value
     * @param bool $includeTermed
     * @return \CustomerManagement\StructType\GetCustomerListInput
     */
    public function setIncludeTermed($includeTermed = null)
    {
        // validation for constraint: boolean
        if (!is_null($includeTermed) && !is_bool($includeTermed)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($includeTermed, true), gettype($includeTermed)), __LINE__);
        }
        $this->IncludeTermed = $includeTermed;
        return $this;
    }
    /**
     * Get AlternateId value
     * @return string|null
     */
    public function getAlternateId()
    {
        return $this->AlternateId;
    }
    /**
     * Set AlternateId value
     * @param string $alternateId
     * @return \CustomerManagement\StructType\GetCustomerListInput
     */
    public function setAlternateId($alternateId = null)
    {
        // validation for constraint: string
        if (!is_null($alternateId) && !is_string($alternateId)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($alternateId, true), gettype($alternateId)), __LINE__);
        }
        $this->AlternateId = $alternateId;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \CustomerManagement\StructType\GetCustomerListInput
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
